Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.ps.extensions
Class PSSetPageDeviceElement

    java.lang.Object
      org.apache.fop.fo.FONode
          org.apache.fop.render.ps.extensions.AbstractPSExtensionElement
              org.apache.fop.render.ps.extensions.PSSetPageDeviceElement

All Implemented Interfaces:
  java.lang.Cloneable

public class PSSetPageDeviceElement
extends AbstractPSExtensionElement

Extension element for ps:ps-setpagedevice.

Nested Class Summary

Nested classes inherited from class org.apache.fop.fo.FONode
`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

Field Summary
`protected static java.lang.String` | `ELEMENT` The element name

Fields inherited from class org.apache.fop.render.ps.extensions.AbstractPSExtensionElement
`attachment`

Fields inherited from class org.apache.fop.fo.FONode
`FO_URI, FOX_URI, locator, log, parent, siblings`

Constructor Summary
`protected` | `PSSetPageDeviceElement(FONode parent)` Main constructor

Method Summary
`java.lang.String` | `getLocalName()` Returns the local name (i.e.
`protected ExtensionAttachment` | `instantiateExtensionAttachment()` Instantiates extension attachment object
`void` | `processNode(java.lang.String elementName, org.xml.sax.Locator locator, org.xml.sax.Attributes attlist, PropertyList propertyList)` Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.
`protected void` | `startOfNode()` Called after processNode() is called.

Methods inherited from class org.apache.fop.render.ps.extensions.AbstractPSExtensionElement
`characters, endOfNode, getExtensionAttachment, getNamespaceURI, getNormalNamespacePrefix, validateChildNode`

Methods inherited from class org.apache.fop.fo.FONode
`addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodeString, getParent, getRoot, getUserAgent, inMarker, invalidChildError, invalidChildError, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, removeChild, setLocator, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, warningText`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT

    protected static final java.lang.String ELEMENT

  The element name

  See Also:
    Constant Field Values

Constructor Detail

### PSSetPageDeviceElement

    protected PSSetPageDeviceElement(FONode parent)

  Main constructor

Parameters:
  `parent` - parent FO node

Method Detail

### startOfNode

    protected void startOfNode()
                        throws FOPException

  Called after processNode() is called. Subclasses can do additional processing.

  Overrides:
    `startOfNode` in class `FONode`
  Throws:
    `FOPException` - if there's a problem during processing
  See Also:
    `FONode.startOfNode()`

### processNode

    public void processNode(java.lang.String elementName,
                            org.xml.sax.Locator locator,
                            org.xml.sax.Attributes attlist,
                            PropertyList propertyList)
                     throws FOPException

  Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.

  Overrides:
    `processNode` in class `FONode`
  Parameters:
    `elementName` - element name (e.g., "fo:block")
    `locator` - Locator object (ignored by default)
    `attlist` - Collection of attributes passed to us from the parser.
    `propertyList` - property list
  Throws:
    `FOPException` - if there's a problem during processing
  See Also:
    `FONode.processNode(java.lang.String, org.xml.sax.Locator, org.xml.sax.Attributes, org.apache.fop.fo.PropertyList)`

### getLocalName

    public java.lang.String getLocalName()

  Description copied from class: `FONode`
  Returns the local name (i.e. without namespace prefix) of the node

  Specified by:
    `getLocalName` in class `FONode`
  Returns:
    local name
  See Also:
    `FONode.getLocalName()`

### instantiateExtensionAttachment

    protected ExtensionAttachment instantiateExtensionAttachment()

  Description copied from class: `AbstractPSExtensionElement`
  Instantiates extension attachment object

  Specified by:
    `instantiateExtensionAttachment` in class `AbstractPSExtensionElement`
  Returns:
    a new PSSetPageDevice object
  See Also:
    `#instantiateExtensionAttachment()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.